{% extends "base.html" %}

{% block easy_display %}
<div class="mdl-grid">
  <div class="mdl-cell mdl-cell--3-col">
  </div>
  <div class="mdl-cell mdl-cell--6-col">
    <div class="mdl-card mdl-shadow--8dp" style="width:100%">
      <div class="mdl-card__title">
        <h3>Admin Dashboard</h3>
      </div>
      <div class="mdl-card__supporting-text">
        <h6>
          <li>This would be the Admin Login page...</li>
          <li>The Admin Interface hasn't been integrated yet...</li>
          <li>Probably should do that!</li>
        </h6>

        <table style="width:100%">
          <tr>
            <th>Blessed</th>
            <th>Email</th>
            <th>Name</th>
            <th>Admin</th>
            <th>Delete</th>
          </tr>
        <script>
            function post(path, params, method) {
                console.log('DO WE GET INTO POST STUFF?');
              method = method || "post"; // Set method to post by default if not specified.

              // The rest of this code assumes you are not using a library.
              // It can be made less wordy if you use one.
              var form = document.createElement("form");
              form.setAttribute("method", method);
              form.setAttribute("action", path);
              for(var key in params) {
                  if(params.hasOwnProperty(key)) {
                      var hiddenField = document.createElement("input");
                      hiddenField.setAttribute("type", "hidden");
                      hiddenField.setAttribute("name", key);
                      hiddenField.setAttribute("value", params[key]);

                      form.appendChild(hiddenField);

                   }
              }

              document.body.appendChild(form);
              form.submit();
          };
        </script>


        {% for user in users %}
        <tr>
          <td>
              <label class="mdl-checkbox mdl-js-checkbox mdl-js-ripple-effect" id="show-dialog-{{ loop.index }}"
                     for="{{ user.name }}">
                <input type="checkbox" id="{{ user.name }}" {% if user.blessed == 'blessed' %} checked {% endif %} class="mdl-checkbox__input">
                <span class="mdl-checkbox__label"></span>
              </label>
          </td>
          <td>{{user.name}}</td>
          <td>{{user.email}}</td>
          <td>{{user.admin}}</td>
          <td>
              <i class="material-icons trash">delete_forever</i></td>
        </tr>

        <dialog class="mdl-dialog" id="dialog-{{ loop.index }}">
        <h4 class="mdl-dialog__title">Please Confirm</h4>
        <div class="mdl-dialog__content">
            You just
                {% if user.blessed == 'blessed' %}
                    unauthorized
                {% else %}
                    authorized
                {% endif %}
            user {{ user.name }} as a volunteer.  Did you mean to do this?
        </div>
        <div class="mdl-dialog__actions">
          <button type="button" class="mdl-button close-yes">Yes</button>
          <button type="button" class="mdl-button close-no">No</button>
        </div>
      </dialog>

      <script>
          ( function register_dialog_{{ loop.index }}() {
            var dialog = document.querySelector('#dialog-{{ loop.index }}');
            var showDialogButton = document.querySelector('#show-dialog-{{ loop.index }}');
            if (!dialog.showModal) {
                dialogPolyfill.registerDialog(dialog);
            }
            showDialogButton.addEventListener('click', function () {
                dialog.showModal();
            });
            dialog.querySelector('.close-yes').addEventListener('click', function () {
                dialog.close();
                post('/admin_action', {action_type: 'blessing', grant: {% if user.blessed == 'blessed' %} false {% elif user.blessed == 'notyet' %} true {% endif %}, targetted_user: '{{ user.email }}'});
                console.log('POSTed!');
            });
            dialog.querySelector('.close-no').addEventListener('click', function () {
                dialog.close();
                const checkbox = document.querySelector('#show-dialog-{{ loop.index }}').MaterialCheckbox;
                const is_checked = checkbox.inputElement_.checked;
                if (is_checked) {
                   checkbox.uncheck()
                } else {
                    checkbox.check()
                }
            });
        })()
      </script>
        {% endfor %}

        </table>


      </div>
    </div>
    <p></p>
  </div>
  <div class="mdl-cell mdl-cell--3-col">
  </div>
</div>

{% endblock %}
